<html>
<body>
<h1 align="center">DE0-Nano-SoC Board Configuration</h1>
<br />
<br />
<h2 align="left">Pin Assignments:</h2>
<ul>
<a href="#CLOCK"><li>CLOCK</li></a>
<br />
<a href="#LED"><li>LED</li></a>
<br />
<a href="#SW"><li>SW</li></a>
<br />
<a href="#GPIO_0"><li>GPIO_0</li></a>
<br />
<a href="#GPIO_1"><li>GPIO_1</li></a>
<br />
</ul>
<br />
<br />
<br />
<h2 align="left">Pin Assignment Table:</h2>
<h2><a name="CLOCK"></a></h2><table border="3">
<caption  align="left">CLOCK</caption>
<br />
<br />
<tr>
   <th align="left" bgcolor="Khaki">Name</th>
   <th align="left" bgcolor="Khaki">Location</th>
   <th align="left" bgcolor="Khaki">Direction</th>
   <th align="left" bgcolor="Khaki">Standard</th>
</tr>
<tr>
   <td align="left">FPGA_CLK1_50</td>
   <td align="left">V11</td>
   <td align="left">input </td>
   <td align="left">3.3-V LVTTL</td>
</tr>
<tr>
   <td align="left">FPGA_CLK2_50</td>
   <td align="left">Y13</td>
   <td align="left">input </td>
   <td align="left">3.3-V LVTTL</td>
</tr>
<tr>
   <td align="left">FPGA_CLK3_50</td>
   <td align="left">E11</td>
   <td align="left">input </td>
   <td align="left">3.3-V LVTTL</td>
</tr>
</table>
<h2><a name="LED"></a></h2><table border="3">
<caption  align="left">LED</caption>
<br />
<br />
<tr>
   <th align="left" bgcolor="Khaki">Name</th>
   <th align="left" bgcolor="Khaki">Location</th>
   <th align="left" bgcolor="Khaki">Direction</th>
   <th align="left" bgcolor="Khaki">Standard</th>
</tr>
<tr>
   <td align="left">LED[0]</td>
   <td align="left">W15</td>
   <td align="left">output</td>
   <td align="left">3.3-V LVTTL</td>
</tr>
<tr>
   <td align="left">LED[1]</td>
   <td align="left">AA24</td>
   <td align="left">output</td>
   <td align="left">3.3-V LVTTL</td>
</tr>
<tr>
   <td align="left">LED[2]</td>
   <td align="left">V16</td>
   <td align="left">output</td>
   <td align="left">3.3-V LVTTL</td>
</tr>
<tr>
   <td align="left">LED[3]</td>
   <td align="left">V15</td>
   <td align="left">output</td>
   <td align="left">3.3-V LVTTL</td>
</tr>
<tr>
   <td align="left">LED[4]</td>
   <td align="left">AF26</td>
   <td align="left">output</td>
   <td align="left">3.3-V LVTTL</td>
</tr>
<tr>
   <td align="left">LED[5]</td>
   <td align="left">AE26</td>
   <td align="left">output</td>
   <td align="left">3.3-V LVTTL</td>
</tr>
<tr>
   <td align="left">LED[6]</td>
   <td align="left">Y16</td>
   <td align="left">output</td>
   <td align="left">3.3-V LVTTL</td>
</tr>
<tr>
   <td align="left">LED[7]</td>
   <td align="left">AA23</td>
   <td align="left">output</td>
   <td align="left">3.3-V LVTTL</td>
</tr>
</table>
<h2><a name="SW"></a></h2><table border="3">
<caption  align="left">SW</caption>
<br />
<br />
<tr>
   <th align="left" bgcolor="Khaki">Name</th>
   <th align="left" bgcolor="Khaki">Location</th>
   <th align="left" bgcolor="Khaki">Direction</th>
   <th align="left" bgcolor="Khaki">Standard</th>
</tr>
<tr>
   <td align="left">SW[0]</td>
   <td align="left">L10</td>
   <td align="left">input </td>
   <td align="left">3.3-V LVTTL</td>
</tr>
<tr>
   <td align="left">SW[1]</td>
   <td align="left">L9</td>
   <td align="left">input </td>
   <td align="left">3.3-V LVTTL</td>
</tr>
<tr>
   <td align="left">SW[2]</td>
   <td align="left">H6</td>
   <td align="left">input </td>
   <td align="left">3.3-V LVTTL</td>
</tr>
<tr>
   <td align="left">SW[3]</td>
   <td align="left">H5</td>
   <td align="left">input </td>
   <td align="left">3.3-V LVTTL</td>
</tr>
</table>
<h2><a name="GPIO_0"></a></h2><table border="3">
<caption  align="left">GPIO connect to GPIO Default</caption>
<br />
<br />
<tr>
   <th align="left" bgcolor="Khaki">Name</th>
   <th align="left" bgcolor="Khaki">Location</th>
   <th align="left" bgcolor="Khaki">Direction</th>
   <th align="left" bgcolor="Khaki">Standard</th>
   <th align="left" bgcolor="Khaki">GPIO Pin Index</th>
</tr>
<tr>
   <td align="left">GPIO_0[0]</td>
   <td align="left">V12</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">1</td>
</tr>
<tr>
   <td align="left">GPIO_0[1]</td>
   <td align="left">AF7</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">2</td>
</tr>
<tr>
   <td align="left">GPIO_0[2]</td>
   <td align="left">W12</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">3</td>
</tr>
<tr>
   <td align="left">GPIO_0[3]</td>
   <td align="left">AF8</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">4</td>
</tr>
<tr>
   <td align="left">GPIO_0[4]</td>
   <td align="left">Y8</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">5</td>
</tr>
<tr>
   <td align="left">GPIO_0[5]</td>
   <td align="left">AB4</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">6</td>
</tr>
<tr>
   <td align="left">GPIO_0[6]</td>
   <td align="left">W8</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">7</td>
</tr>
<tr>
   <td align="left">GPIO_0[7]</td>
   <td align="left">Y4</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">8</td>
</tr>
<tr>
   <td align="left">GPIO_0[8]</td>
   <td align="left">Y5</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">9</td>
</tr>
<tr>
   <td align="left">GPIO_0[9]</td>
   <td align="left">U11</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">10</td>
</tr>
<tr>
   <td align="left">GPIO_0[10]</td>
   <td align="left">T8</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">13</td>
</tr>
<tr>
   <td align="left">GPIO_0[11]</td>
   <td align="left">T12</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">14</td>
</tr>
<tr>
   <td align="left">GPIO_0[12]</td>
   <td align="left">AH5</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">15</td>
</tr>
<tr>
   <td align="left">GPIO_0[13]</td>
   <td align="left">AH6</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">16</td>
</tr>
<tr>
   <td align="left">GPIO_0[14]</td>
   <td align="left">AH4</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">17</td>
</tr>
<tr>
   <td align="left">GPIO_0[15]</td>
   <td align="left">AG5</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">18</td>
</tr>
<tr>
   <td align="left">GPIO_0[16]</td>
   <td align="left">AH3</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">19</td>
</tr>
<tr>
   <td align="left">GPIO_0[17]</td>
   <td align="left">AH2</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">20</td>
</tr>
<tr>
   <td align="left">GPIO_0[18]</td>
   <td align="left">AF4</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">21</td>
</tr>
<tr>
   <td align="left">GPIO_0[19]</td>
   <td align="left">AG6</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">22</td>
</tr>
<tr>
   <td align="left">GPIO_0[20]</td>
   <td align="left">AF5</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">23</td>
</tr>
<tr>
   <td align="left">GPIO_0[21]</td>
   <td align="left">AE4</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">24</td>
</tr>
<tr>
   <td align="left">GPIO_0[22]</td>
   <td align="left">T13</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">25</td>
</tr>
<tr>
   <td align="left">GPIO_0[23]</td>
   <td align="left">T11</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">26</td>
</tr>
<tr>
   <td align="left">GPIO_0[24]</td>
   <td align="left">AE7</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">27</td>
</tr>
<tr>
   <td align="left">GPIO_0[25]</td>
   <td align="left">AF6</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">28</td>
</tr>
<tr>
   <td align="left">GPIO_0[26]</td>
   <td align="left">AF9</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">31</td>
</tr>
<tr>
   <td align="left">GPIO_0[27]</td>
   <td align="left">AE8</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">32</td>
</tr>
<tr>
   <td align="left">GPIO_0[28]</td>
   <td align="left">AD10</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">33</td>
</tr>
<tr>
   <td align="left">GPIO_0[29]</td>
   <td align="left">AE9</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">34</td>
</tr>
<tr>
   <td align="left">GPIO_0[30]</td>
   <td align="left">AD11</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">35</td>
</tr>
<tr>
   <td align="left">GPIO_0[31]</td>
   <td align="left">AF10</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">36</td>
</tr>
<tr>
   <td align="left">GPIO_0[32]</td>
   <td align="left">AD12</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">37</td>
</tr>
<tr>
   <td align="left">GPIO_0[33]</td>
   <td align="left">AE11</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">38</td>
</tr>
<tr>
   <td align="left">GPIO_0[34]</td>
   <td align="left">AF11</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">39</td>
</tr>
<tr>
   <td align="left">GPIO_0[35]</td>
   <td align="left">AE12</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">40</td>
</tr>
</table>
<h2><a name="GPIO_1"></a></h2><table border="3">
<caption  align="left">GPIO connect to GPIO Default</caption>
<br />
<br />
<tr>
   <th align="left" bgcolor="Khaki">Name</th>
   <th align="left" bgcolor="Khaki">Location</th>
   <th align="left" bgcolor="Khaki">Direction</th>
   <th align="left" bgcolor="Khaki">Standard</th>
   <th align="left" bgcolor="Khaki">GPIO Pin Index</th>
</tr>
<tr>
   <td align="left">GPIO_1[0]</td>
   <td align="left">Y15</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">1</td>
</tr>
<tr>
   <td align="left">GPIO_1[1]</td>
   <td align="left">AG28</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">2</td>
</tr>
<tr>
   <td align="left">GPIO_1[2]</td>
   <td align="left">AA15</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">3</td>
</tr>
<tr>
   <td align="left">GPIO_1[3]</td>
   <td align="left">AH27</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">4</td>
</tr>
<tr>
   <td align="left">GPIO_1[4]</td>
   <td align="left">AG26</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">5</td>
</tr>
<tr>
   <td align="left">GPIO_1[5]</td>
   <td align="left">AH24</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">6</td>
</tr>
<tr>
   <td align="left">GPIO_1[6]</td>
   <td align="left">AF23</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">7</td>
</tr>
<tr>
   <td align="left">GPIO_1[7]</td>
   <td align="left">AE22</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">8</td>
</tr>
<tr>
   <td align="left">GPIO_1[8]</td>
   <td align="left">AF21</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">9</td>
</tr>
<tr>
   <td align="left">GPIO_1[9]</td>
   <td align="left">AG20</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">10</td>
</tr>
<tr>
   <td align="left">GPIO_1[10]</td>
   <td align="left">AG19</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">13</td>
</tr>
<tr>
   <td align="left">GPIO_1[11]</td>
   <td align="left">AF20</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">14</td>
</tr>
<tr>
   <td align="left">GPIO_1[12]</td>
   <td align="left">AC23</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">15</td>
</tr>
<tr>
   <td align="left">GPIO_1[13]</td>
   <td align="left">AG18</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">16</td>
</tr>
<tr>
   <td align="left">GPIO_1[14]</td>
   <td align="left">AH26</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">17</td>
</tr>
<tr>
   <td align="left">GPIO_1[15]</td>
   <td align="left">AA19</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">18</td>
</tr>
<tr>
   <td align="left">GPIO_1[16]</td>
   <td align="left">AG24</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">19</td>
</tr>
<tr>
   <td align="left">GPIO_1[17]</td>
   <td align="left">AF25</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">20</td>
</tr>
<tr>
   <td align="left">GPIO_1[18]</td>
   <td align="left">AH23</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">21</td>
</tr>
<tr>
   <td align="left">GPIO_1[19]</td>
   <td align="left">AG23</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">22</td>
</tr>
<tr>
   <td align="left">GPIO_1[20]</td>
   <td align="left">AE19</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">23</td>
</tr>
<tr>
   <td align="left">GPIO_1[21]</td>
   <td align="left">AF18</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">24</td>
</tr>
<tr>
   <td align="left">GPIO_1[22]</td>
   <td align="left">AD19</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">25</td>
</tr>
<tr>
   <td align="left">GPIO_1[23]</td>
   <td align="left">AE20</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">26</td>
</tr>
<tr>
   <td align="left">GPIO_1[24]</td>
   <td align="left">AE24</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">27</td>
</tr>
<tr>
   <td align="left">GPIO_1[25]</td>
   <td align="left">AD20</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">28</td>
</tr>
<tr>
   <td align="left">GPIO_1[26]</td>
   <td align="left">AF22</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">31</td>
</tr>
<tr>
   <td align="left">GPIO_1[27]</td>
   <td align="left">AH22</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">32</td>
</tr>
<tr>
   <td align="left">GPIO_1[28]</td>
   <td align="left">AH19</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">33</td>
</tr>
<tr>
   <td align="left">GPIO_1[29]</td>
   <td align="left">AH21</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">34</td>
</tr>
<tr>
   <td align="left">GPIO_1[30]</td>
   <td align="left">AG21</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">35</td>
</tr>
<tr>
   <td align="left">GPIO_1[31]</td>
   <td align="left">AH18</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">36</td>
</tr>
<tr>
   <td align="left">GPIO_1[32]</td>
   <td align="left">AD23</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">37</td>
</tr>
<tr>
   <td align="left">GPIO_1[33]</td>
   <td align="left">AE23</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">38</td>
</tr>
<tr>
   <td align="left">GPIO_1[34]</td>
   <td align="left">AA18</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">39</td>
</tr>
<tr>
   <td align="left">GPIO_1[35]</td>
   <td align="left">AC22</td>
   <td align="left">inout </td>
   <td align="left">3.3-V LVTTL</td>
   <td align="left">40</td>
</tr>
</table>
</html>
</body>
